Loading...
Searching...
No Matches
CglParam Class Reference

Class collecting parameters for all cut generators. More...

`#include <CglParam.hpp>`

Inheritance diagram for CglParam:
[legend]

## Public Member Functions

Public Set/get methods
virtual void | setINFINIT (const double inf)
| Set INFINIT.
double | getINFINIT () const
| Get value of INFINIT.
virtual void | setEPS (const double eps)
| Set EPS.
double | getEPS () const
| Get value of EPS.
virtual void | setEPS_COEFF (const double eps_c)
| Set EPS_COEFF.
double | getEPS_COEFF () const
| Get value of EPS_COEFF.
virtual void | setMAX_SUPPORT (const int max_s)
| Set MAX_SUPPORT.
int | getMAX_SUPPORT () const
| Get value of MAX_SUPPORT.
Constructors and destructors
| CglParam (const double inf=COIN_DBL_MAX, const double eps=1e-6, const double eps_c=1e-5, const int max_s=COIN_INT_MAX)
| Default constructor.
| CglParam (const CglParam &)
| Copy constructor.
virtual CglParam * | clone () const
| Clone.
CglParam & | operator= (const CglParam &rhs)
| Assignment operator.
virtual | ~CglParam ()
| Destructor.

## Protected Attributes

Protected member data
double | INFINIT
double | EPS
double | EPS_COEFF
int | MAX_SUPPORT
| Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

## Detailed Description

Class collecting parameters for all cut generators.

Each generator may have a derived class to add parameters. Each generator might also set different default values for the parameters in CglParam.

Definition at line 22 of file CglParam.hpp.

## Constructor & Destructor Documentation

## CglParam() [1/2]

CglParam::CglParam | ( | const double | inf = COIN_DBL_MAX,
|  | const double | eps = 1e-6,
|  | const double | eps_c = 1e-5,
|  | const int | max_s = COIN_INT_MAX )

Default constructor.

## CglParam() [2/2]

CglParam::CglParam | ( | const CglParam & |  | ) |

Copy constructor.

## ~CglParam()

virtual CglParam::~CglParam | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## setINFINIT()

virtual void CglParam::setINFINIT | ( | const double | inf | ) |

virtual

Set INFINIT.

## getINFINIT()

double CglParam::getINFINIT | ( |  | ) | const

inline

Get value of INFINIT.

Definition at line 31 of file CglParam.hpp.

## setEPS()

virtual void CglParam::setEPS | ( | const double | eps | ) |

virtual

Set EPS.

## getEPS()

double CglParam::getEPS | ( |  | ) | const

inline

Get value of EPS.

Definition at line 36 of file CglParam.hpp.

## setEPS_COEFF()

virtual void CglParam::setEPS_COEFF | ( | const double | eps_c | ) |

virtual

Set EPS_COEFF.

## getEPS_COEFF()

double CglParam::getEPS_COEFF | ( |  | ) | const

inline

Get value of EPS_COEFF.

Definition at line 41 of file CglParam.hpp.

## setMAX_SUPPORT()

virtual void CglParam::setMAX_SUPPORT | ( | const int | max_s | ) |

virtual

Set MAX_SUPPORT.

## getMAX_SUPPORT()

int CglParam::getMAX_SUPPORT | ( |  | ) | const

inline

Get value of MAX_SUPPORT.

Definition at line 46 of file CglParam.hpp.

## clone()

virtual CglParam * CglParam::clone | ( |  | ) | const

virtual

Clone.

Reimplemented in CglGMIParam, CglRedSplit2Param, and CglRedSplitParam.

## operator=()

CglParam & CglParam::operator= | ( | const CglParam & | rhs | ) |

Assignment operator.

## Member Data Documentation

## INFINIT

double CglParam::INFINIT

protected

Definition at line 75 of file CglParam.hpp.

## EPS

double CglParam::EPS

protected

Definition at line 78 of file CglParam.hpp.

## EPS_COEFF

double CglParam::EPS_COEFF

protected

Definition at line 82 of file CglParam.hpp.

## MAX_SUPPORT

int CglParam::MAX_SUPPORT

protected

Maximum number of non zero coefficients in a generated cut; Default: COIN_INT_MAX.

Definition at line 86 of file CglParam.hpp.

The documentation for this class was generated from the following file:

- Cgl/src/CglParam.hpp